--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.72, 0.22, 0.02, "                   Taste  M : Menue");
	 else
		-- Koordinaten sind aus der F930.lua - Author leider unbekannt
		renderText(0.72, 0.25, 0.02, "  Taste  M : Menue Abschalten");
		renderText(0.72, 0.79, 0.02, "        - Lizard YETI -");
		renderText(0.72, 0.74, 0.02, "          F : Fahrzeug Hauptbeleuchtung");
		renderText(0.72, 0.72, 0.02, "       pos1 : RUL");
		renderText(0.72, 0.69, 0.02, "  NumPad 4 : Dach Scheinwerfer");
		renderText(0.72, 0.67, 0.02, "  NumPad 8 : Arbeitslicht Hinten");
		renderText(0.72, 0.65, 0.02, "  NumPad 7 : Licht Effekt");
		renderText(0.72, 0.63, 0.02, "");
		renderText(0.72, 0.61, 0.02, "  Taste 9 : Lichtkegel sichtbar machen");
		renderText(0.72, 0.59, 0.02, "  Taste 0 : Warnsignal");
		renderText(0.72, 0.57, 0.02, "");
		renderText(0.72, 0.55, 0.02, "  ");
		renderText(0.72, 0.52, 0.02, "");
		renderText(0.72, 0.50, 0.02, "");
		renderText(0.72, 0.48, 0.02, "   ");
		renderText(0.72, 0.46, 0.02, "   ");
		renderText(0.72, 0.43, 0.02, "");
		renderText(0.72, 0.37, 0.02, "        Powered by");
		renderText(0.72, 0.34, 0.02, "DonChris/Tobi/AlfamoddingTV");
		renderText(0.72, 0.32, 0.02, "      ");
		--renderText(0.72, 0.51, 0.02, "Taste 0: Starktonhorn");
		--renderText(0.72, 0.49, 0.02, "Taste KP 8: Licht Mast");
		--renderText(0.72, 0.47, 0.02, "Taste KP 4: Arbeitslicht links");
		--renderText(0.72, 0.45, 0.02, "Taste KP 5: Arbeitslicht hinten");
		--renderText(0.72, 0.43, 0.02, "Taste KP 6: Arbeitslicht rechts");
		--renderText(0.72, 0.41, 0.02, "Taste 6: Heckabsicherung");
		--renderText(0.72, 0.39, 0.02, "Taste 7: Lichtmast hoch/runter");
		--renderText(0.72, 0.37, 0.02, "Taste 8: Tuer auf/zu");
        --renderText(0.72, 0.35, 0.02, "Taste 5: Attacher verschieben");      
	end;
end;  

function ShowHelp:onLeave()
	self.showHelp = false;
end;




